0 Replies Latest reply on Sep 17, 2013 6:50 AM by Joecel Torres

    Select Hidden Edges

    Joecel Torres

      Hi!

       

      How do I select the hidden line/edge of a part in 2D?

      For example, there`s a Section View of a Header, Flange and Pipe assembly and I need to show just the hidden lines of Header.

      In manual operation, I can use the (right-click Part)>>Show/Hide>>Show Hidden Edges.

      I recorded a macro but it captures the selection of Face only.

      So i tried the following work-around:

       

      bool isSuccess = swDocDraw.Extension.SelectByID2("", "FACE", 0.341603263872, 0.2668129561688, -9499.976391807, false, 0, null, 0);

      SelectionMgr selMngr = (SelectionMgr)swDocDraw.SelectionManager;

      object objFace = selMngr.GetSelectedObject6((int)swSelectType_e.swSelFACES, -1);

      Face2 face = (Face2)objFace;

      object[] objEdges = (object[])face.GetEdges();

      Entity entEdge = (Entity)objEdges[0];

      entEdge.Select4(false, null);

       

      But the GetEdges() returns just 2 edges.

      I need to select and show the 2 other edge/hidden lines, please see the attached file for reference.

       

      Thanks in advance.

       

      Best Regards,

      Joecel